Name:           lekhonee-gnome
Version:        0.12
Release:        10%{?dist}
Summary:        The gnome frontend for lekhonee wordpress client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://fedorahosted.org/lekhonee
Source0:        https://fedorahosted.org/releases/l/e/lekhonee/%{name}-%{version}.tar.bz2
Patch0:         lekhonee-gnome-0.12-format-security.patch

#BuildArch:      noarch
BuildRequires:  desktop-file-utils, intltool, glib2-devel, gtksourceview2-devel,gtkspell-devel, gtk2-devel, webkitgtk-devel, libxml2-devel, libsoup-devel, pkgconfig(gee-1.0)
Requires:       webkitgtk, gtkspell, gtk2


%description
Wordpress desktop client frontend for Gnome


%prep
%setup -q
%patch0 -p1


%build
%configure

make %{?_smp_mflags}



%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


desktop-file-install                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications           \
%{buildroot}/%{_datadir}/applications/lekhonee-gnome.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README ChangeLog
%{_bindir}/lekhonee-gnome
%{_datadir}/lekhonee-gnome/*
%{_datadir}/pixmaps/lekhonee-gnome.png
%{_datadir}/applications/lekhonee-gnome*.desktop


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 08 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.12-6
- Fix FTBFS with -Werror=format-security (#1037154, #1105982)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 18 2012 Kushal Das <kushal@fedoraproject.org> 0.12-1
- Updated to v0.12.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.11-5
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 01 2010 Kushal Das <kushal@fedoraproject.org> 0.11-2
- Rebuild due to webkit so bump

* Thu Jun 24 2010 Kushal Das <kushal@fedoraproject.org> 0.11-1
- Updated to v0.11, fixed about box bug.

* Thu Jun 03 2010 Kushal Das <kushal@fedoraproject.org> 0.10-1
- Updated to v0.10

* Thu Apr 29 2010 Kushal Das <kushal@fedoraproject.org> 0.9.2-1
- New release of source

* Thu Apr 29 2010 Kushal Das <kushal@fedoraproject.org> 0.9.1-1
- New release of source

* Wed Apr 06 2010 Kushal Das <kushal@fedoraproject.org> 0.9-1
- New release of source

* Mon Nov 02 2009 Kushal Das <kushal@fedoraproject.org> 0.8-2
- added BR of python-distutils-extra, intltool

* Thu Oct 29 2009 Kushal Das <kushal@fedoraproject.org> 0.8-1
- Initial release
